%define anolis_release 1
%global pypi_name kornia
%global pypi_version 0.7.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Open Source Differentiable Computer Vision Library for PyTorch

License:        Apache-2.0
URL:            https://github.com/kornia/kornia
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Kornia is a differentiable computer vision library for PyTorch.

It consists of a set of routines and differentiable modules to solve generic computer vision problems. 
At its core, the package uses PyTorch as its main backend both for efficiency and to take advantage of 
the reverse-mode auto-differentiation to define and compute the gradient of complex functions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
It consists of a set of routines and differentiable modules to solve generic computer vision problems. 
At its core, the package uses PyTorch as its main backend both for efficiency and to take advantage of 
the reverse-mode auto-differentiation to define and compute the gradient of complex functions.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Mon Feb 19 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.7.1-1
- Initial package.